## org.eclipse.jst.jsf.common.util
Class JDTBeanIntrospector

    java.lang.Object
      org.eclipse.jst.jsf.common.util.JDTBeanIntrospector

    public class JDTBeanIntrospector

extends java.lang.Object

A class that does bean introspection on a JDT IType This functionality is not meant to replace runtime bean introspection. Rather, it is meant to provide a more "lightweight" (in terms of class loading as well as error handling of bean instantiation out of context) way to determine a bean's properties at design time. This class may not be sub-classed by clients.

Constructor Summary
`JDTBeanIntrospector(IType type)`

Method Summary
`IMethod[]` `getAllMethods()`
`java.util.Map<java.lang.String,JDTBeanProperty>` `getProperties()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDTBeanIntrospector

    public JDTBeanIntrospector(IType type)

Parameters:
  `type` -

Method Detail

### getProperties

    public java.util.Map<java.lang.String,JDTBeanProperty> getProperties()

  Returns:
    an map of all properties with the property names as keys and the values being JDTBeanProperty objects representing the properties.

### getAllMethods

    public IMethod[] getAllMethods()

  Returns:
    all methods for the type including inherited ones